=== debian/changelog ===
exodusii (5.14.dfsg.1-2) unstable; urgency=low

  * Add HDF5 build dependencies. Not included by netcdf-dev. Closes: #645571 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Oct 2011 15:51:21 +0100

exodusii (5.14.dfsg.1-1) unstable; urgency=low

  * Initial release. (Closes: #644586)
  * DFSG version does not ship the PDFs.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Oct 2011 10:28:10 +0100
