=== debian/control ===
Source: exodusii
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 8.1.3~), cmake (>= 2.4.0), libnetcdf-dev, gfortran, chrpath, libhdf5-serial-dev | libhdf5-dev, csh
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/exodusii/

Package: libexodusii5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: exodusII datamodel for finite element analysis 
 EXODUS II is a model developed to store and retrieve transient data for
 finite element analyses. It is used for preprocessing, postprocessing,
 as well as code to code data transfer. ExodusII is based on netcdf.

Package: libnemesis3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libexodusii5 (= ${binary:Version})
Description: Parallel extension to the EXODUSII datamodel
 NEMESIS is an enhancement to the EXODUSII finite element database
 model used to store and retrieve data for unstructured parallel finite
 element analyses. NEMESIS adds data structures which facilitate the
 partitioning of a scalar (standard serial) EXODUSII file onto parallel
 disk systems found on many parallel computers.

Package:  libexodusii-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libnetcdf-dev, libnemesis3 ( = ${binary:Version}), libexodusii5 (= ${binary:Version})
Description: exodusII datamodel for finite element analysis
 EXODUS II is a model developed to store and retrieve transient data for
 finite element analyses. It is used for preprocessing, postprocessing, 
 as well as code to code data transfer. ExodusII is based on netcdf.
 It includes the nemesis parallel extension.
